package cz.frantovo.nekurak.ext;

import cz.frantovo.nekurak.ext.Geo.Souradnice;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 * Testuje hlavně dostupnost a funkčnost vzdálené služby (Google).
 * @author fiki
 */
public class GeoTest {

    private Geo geo = new Geo();

    @Test
    public void praha() {
	testuj("Praha, Czech Republic", 50.0878114, 14.4204598);
    }

    @Test
    public void sanghaj() {
	// https://frantovo.cz/blog/?q=cina-sanghaj-mesto-lide :-)
	testuj("Shanghai, China", 31.2307080, 121.4729160);
    }

    @Test
    public void dallas() {
	testuj("Dallas, TX", 32.8029550, -96.769923);
    }

    @Test
    public void moskva() {
	testuj("Moscow, Russia", 55.7557860, 37.6176330);
    }

    private void testuj(String vstup, double pozadovanaSirka, double pozadovanaDelka) {
	Souradnice vystup = geo.getSouradnice(vstup);
	assertEquals(geo.new Souradnice(pozadovanaSirka, pozadovanaDelka), vystup);
    }
}
